
Figure - Bug #116704
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】向已满的dock栏添加应用，添加失败，但是屏幕底部页数显示加一
2023-03-03 15:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-03

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

Reproducibility: Every time Fixed Version: 2023-03-08

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

2、dock栏已经有四个应用

【测试步骤】

1、拖动一个应用至dock栏部分（超过本页）

2、松手

【预期结果】

2、无法添加并有dock栏已满的提示

【实际结果】

2、应用添加失败，但是屏幕底部页数显示加一

【复现率】

3/3

History

#1 - 2023-03-03 17:05 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-06 20:05 - CD APP-王宏

- % Done changed from 0 to 20

■ Current conclusion

分析中

■ My analysis

WorkspacePageIndicatorDots中的背景绘制和前景绘制出现错误，主要是mCurrentPosition 数值错误导致的（应该为0，实际为1）

■ Next action

继续打日志分析，检查代码的调用逻辑，
#3 - 2023-03-07 10:21 - CD APP-王宏

- % Done changed from 20 to 50

■ Current conclusion

已提交

■ My analysis

调查发此过程会触发workspace界面移除等操作，但是指示器未更新。

因此调查到 WorkspacePageIndicatorDots$setScroll()的内部逻辑只处理了mNumPages>1的情况，

对于mNumPages=1的情况并未处理导致的

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186037

#4 - 2023-03-07 10:38 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-08

- Root cause set to 编码问题

#5 - 2023-03-07 10:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186037 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:fixed indicator issue1.Drag the icon to turn the page and fall into the hotspot. The indicator displaysTC-RID: 1201-0205301IssueID:

TS-R-BUG-116704Change-Id: I55ce97ceaa20ed35fb560136d13fde66c1be63f4

#6 - 2023-03-08 13:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

3.8

验证通过

#7 - 2023-03-08 13:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-03 15-02-30.mp4 5.38 MB 2023-03-03 CD TEST-方永红
